%define upstream_name    Template-Plugin-Gravatar
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Configurable TT2-based generation of Gravatar URLs from email addresses
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Template)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::Escape)
BuildArch: noarch

%description
This plugin allows you to generate gravatar URLs from TT2 templates.

All of the options supported in Gravatars--default, rating, size, and
border--can be used here. The gravatar_id is generated from a given email.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Mar 03 2013 boklm <boklm> 0.50.0-1.mga3
+ Revision: 401196
- Update description
- imported package perl-Template-Plugin-Gravatar

